import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import _extends from "@babel/runtime/helpers/extends";
import _Button from "antd/es/button";
import React, { Component } from "react";
var ButtonInner = function ButtonInner(props) {
  if (props.children) {
    return /*#__PURE__*/React.createElement(_Button, props);
  } else {
    return /*#__PURE__*/React.createElement("button", _extends({
      className: "placeButton"
    }, props));
  }
};
var _default = /*#__PURE__*/function (_Component) {
  function _default() {
    return _Component.apply(this, arguments) || this;
  }
  _inheritsLoose(_default, _Component);
  var _proto = _default.prototype;
  _proto.render = function render() {
    return /*#__PURE__*/React.createElement(ButtonInner, _extends({
      className: "buttonInner"
    }, this.props));
  };
  return _default;
}(Component);
export { _default as default };